Frequent apache2 graceful, should only be done on changes

Bug #1916084 reported by Haw Loeung on 2021-02-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Repository Cache Charm
High
Haw Loeung

Bug Description

Hi,

The u-r-c charm, or something, seems to be causing apache2 to periodically graceful. It should only do so on config changes.

This can lead to cgid failing to start on graceful restart/reload:

| [Thu Feb 18 13:09:19.328252 2021] [core:notice] [pid 3630124:tid 139732453542976] AH00094: Command line: '/usr/sbin/apache2'
| [Thu Feb 18 13:09:19.328262 2021] [mpm_worker:notice] [pid 3630124:tid 139732453542976] AH00297: SIGUSR1 received. Doing graceful restart
| [Thu Feb 18 13:09:19.381403 2021] [cgid:error] [pid 611358:tid 139732453542976] (98)Address already in use: AH01243: Couldn't bind unix domain socket /var/run/apache2/cgisock.3630124
| [Thu Feb 18 13:09:19.381602 2021] [mpm_worker:notice] [pid 3630124:tid 139732453542976] AH00292: Apache/2.4.41 (Ubuntu) configured -- resuming normal operations
| [Thu Feb 18 13:09:19.381628 2021] [core:notice] [pid 3630124:tid 139732453542976] AH00094: Command line: '/usr/sbin/apache2'
| [Thu Feb 18 13:09:20.382773 2021] [cgid:crit] [pid 3630124:tid 139732453542976] AH01238: cgid daemon failed to initialize

The health-check relies on cgid being up so units are taken offline in these cases until the next graceful restart/reload.

Related branches

Haw Loeung (hloeung) wrote :

Seems to be hourly so likely with the metadata sync.

Changed in content-cache-charm:
status: New → In Progress
assignee: nobody → Haw Loeung (hloeung)
importance: Undecided → High
Joel Sing (jsing) on 2021-02-19
affects: content-cache-charm → ubuntu-repository-cache
Haw Loeung (hloeung) on 2021-02-22
description: updated
Haw Loeung (hloeung) on 2021-02-23
Changed in ubuntu-repository-cache:
status: In Progress → Fix Committed
Haw Loeung (hloeung) on 2021-02-24
Changed in ubuntu-repository-cache:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers